Network.TLS

# Context configuration

data Params

data RoleParams

data ClientParams

data ServerParams

updateClientParams

updateServerParams

data Logging

data Measurement

data CertificateUsage

data CertificateRejectReason

defaultParamsClient

defaultParamsServer

defaultLogging

data MaxFragmentEnum

type HashAndSignatureAlgorithm

data HashAlgorithm

data SignatureAlgorithm

data CertificateType

# raw types

data ProtocolType

data Header

# Session

type SessionID

data SessionData

class SessionManager a

data NoSessionManager

setSessionManager

# Backend abstraction

data Backend

# Context object

data Context

ctxConnection

# Creating a context

contextNew

contextNewOnHandle

contextFlush

contextClose

# deprecated type aliases

type TLSParams

type TLSLogging

type TLSCertificateUsage

type TLSCertificateRejectReason

type TLSCtx

# deprecated values

defaultParams

# Initialisation and Termination of context

bye

handshake

# Next Protocol Negotiation

getNegotiatedProtocol

# High level API

sendData

recvData

recvData'

# Crypto Key

data PrivateKey

# Compressions & Predefined compressions

class CompressionC a

data Compression

type CompressionID

nullCompression

data NullCompression

# member redefined for the class abstraction

compressionID

compressionDeflate

compressionInflate

# helper

compressionIntersectID

# Ciphers & Predefined ciphers

data BulkFunctions

data CipherKeyExchangeType

data Bulk

data Hash

data Cipher

type CipherID

cipherKeyBlockSize

type Key

type IV

cipherExchangeNeedMoreData

# Versions

data Version

# Errors

data TLSError

data KxError

data AlertDescription

# Exceptions

data Terminated

data HandshakeFailed

data ConnectionNotEstablished